<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.4//EN" 
"/usr/share/xml/docbook/schema/dtd/4.4/docbookx.dtd" [
  <!ENTITY debian      "Debian GNU/Linux">
  <!ENTITY dhprg       "<command>mldonkey_create_chroot</command>">
]>

<!--**********************************************************************-->
<!-- Dbforge2.gui.byte manpage                                            -->
<!--                                                                      -->
<!-- Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>               -->
<!-- Copyright (C) 2005-2006 Mick Kappenburg <mick@kappenburg.net>        -->
<!--                                                                      -->
<!-- This library is free software; you can redistribute it and/or        -->
<!-- modify it under the terms of the GNU General Public                  -->
<!-- License as published by the Free Software Foundation; either         -->
<!-- version 2.0 of the License, or (at your option) any later version;   -->
<!--                                                                      -->
<!-- This library is distributed in the hope that it will be useful,      -->
<!-- but WITHOUT ANY WARRANTY; without even the implied warranty of       -->
<!-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU    -->
<!-- Lesser General Public License for more details.                      -->
<!--                                                                      -->
<!-- You should have received a copy of the GNU Lesser General Public     -->
<!-- License along with this library; if not, write to the Free Software  -->
<!-- Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               -->
<!-- MA 02110-1301, USA.                                                  -->
<!--                                                                      -->
<!-- Contact: gildor@debian.org                                           -->
<!--**********************************************************************-->


<refentry>

  <refentryinfo>
    <author>
      <firstname>Mick</firstname>
      <surname>Kappenburg</surname>
      <email>mick@kappenburg.net</email>
    </author>
    <copyright>
      <year>2005, 2006</year>
      <holder>Mick Kappenburg</holder>
    </copyright>
    <copyright>
      <year>2006</year>
      <holder>Sylvain Le Gall</holder>
    </copyright>
    <date>Nov 15, 2006</date>
  </refentryinfo>

  <refmeta>
    <refentrytitle>MLDONKEY_CREATE_CHROOT</refentrytitle>
    <manvolnum>8</manvolnum>
  </refmeta>
  
  <refnamediv>
    <refname>&dhprg;</refname>

    <refpurpose>a script to create a jail for <command>mldonkey_server</command>.</refpurpose>
  </refnamediv>
  
  <refsynopsisdiv>
    <cmdsynopsis>
      &dhprg;
      <arg>-f <replaceable>filename</replaceable></arg>
      <arg>-u <replaceable>user</replaceable></arg>
      <arg>-g <replaceable>group</replaceable></arg>
      <arg>-r <replaceable>path</replaceable></arg>
      <arg>-d <replaceable>path</replaceable></arg>
      <arg>-l <replaceable>filename</replaceable></arg>
      <arg>-c</arg>
      <arg>-y</arg>
      <arg>-h</arg>
    </cmdsynopsis>
  </refsynopsisdiv>
  
  <refsect1>
    <title>DESCRIPTION</title>

    <para>This manual page documents briefly the &dhprg; command.</para>

    <para>This manual page was written for the  &debian; distribution
      because this script is &debian;  specific.</para>

    <para>This script creates a jail for <command>mldonkey_server</command> using 
      makejail.</para>
  
  </refsect1>
  
  <refsect1>
    <title>COMMAND LINE OPTIONS</title>

    <variablelist>
      <varlistentry>
        <term>-f filename</term>
        <listitem>
          <para>use file filename to overwrite default settings. Default /etc/default/mldonkey-server</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-u user</term>
        <listitem>
          <para>run mldonkey server as user user. Default mldonkey</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-g group</term>
        <listitem>
          <para>run mldonkey_server as group group. Default mldonkey</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-r path</term>
        <listitem>
          <para>root directory for jail. Default /var/jail/mldonkey</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-d path</term>
        <listitem>
          <para>directory for downloads and mldonkey 'run time' files are stored. Default /var/lib/mldonkey</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-l filename</term>
        <listitem>
          <para>write log to filename. Default /dev/null</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-c</term>
        <listitem>
          <para>clean jail first. MOST BUT NOT ALL FILES ARE DELETED.
            (see make jail for more information)</para>
        </listitem>
      </varlistentry>
      <varlistentry>		
        <term>-y</term>
        <listitem>
          <para>assume yes to all questions</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>-h</term>
        <listitem>
          <para>shows help message end exits</para>
        </listitem>
      </varlistentry>
    </variablelist>

  </refsect1>

  <refsect1>
    <title>LICENSE</title>
    <para>This manual page was written by 
      <personname>
        <firstname>Mick</firstname>
        <surname>Kappenburg</surname>
      </personname>
      <email>mick@kappenburg.net</email>.
      Permission is granted  to copy, redistribute it and/or modify it under the
      terms of the <acronym>GNU</acronym> General Public License as published by
      the Free Software Foundation; either version 2 of the License, or (at your
      option) any later version.  
    </para>
  </refsect1>
  
  <refsect1>
    <title>SEE ALSO</title>

    <para>
      <citerefentry>  
        <refentrytitle>
          <command>makejail</command>
        </refentrytitle>  
        <manvolnum>8</manvolnum>
      </citerefentry>
    </para>

  </refsect1>

</refentry>

